icetIsEnabled(3)

NAME
icetIsEnabled - query enabled status of an ICE-T feature.

SYNOPSIS
#include <GL/ice-t.h>

GLboolean icetIsEnabled(GLenum pname);

RETURN VALUE
Returns ICET_TRUE if the feature associated with pname is enabled, ICET_FALSE (= 0) if the feature is disabled.

ERRORS

ICET_INVALID_VALUE
    If pname is not a feature to be enabled or disabled.

WARNINGS
None.

BUGS
The check for a valid pname is not thorough, and thus the ICET_INVALID_VALUE error may not always be raised.

NOTES
A list of valid values for pname is given in the documentation for icetEnable.

COPYRIGHT
Copyright © 2003 Sandia Corporation
Under the terms of Contract DE-AC04-94AL85000, there is a non-exclusive license for use of this work by or on behalf of the U.S. Government. Redistribution and use in source and binary forms, with or without modification, are permitted provided that this Notice and any statement of authorship are reproduced on all copies.

SEE ALSO
icetEnable